import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from "react";
const WidgetCodeContext = React.createContext({});

const WidgetCodeProvider = (_ref) => {
  let {
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, ["children"]);

  return /*#__PURE__*/React.createElement(WidgetCodeContext.Provider, {
    value: props,
    children: children
  });
};
/**
 * @return {{
 *   theme: string
 * }}
 */


const useWidgetCode = () => {
  return React.useContext(WidgetCodeContext);
};

export { WidgetCodeContext, WidgetCodeProvider, useWidgetCode };